import * as $dara from '@darabonba/typescript';
import { GetAttackEventDetailResponseBody } from "./GetAttackEventDetailResponseBody";
export declare class GetAttackEventDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetAttackEventDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
